Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6355 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6355 indexed agents, 5539 currently healthy.

Agents indexed
6355 agents
5523 domains
public agent cards · +773 this week
Healthy
5539 agents
4851 domains
card reachable < 6 h
Conformant
4658 agents
4065 domains
valid card + skills
x402-capable
522 agents
422 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
2 Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
5 FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“AgentSEO” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“agentshop” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“AIsa” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Leading x402 payment processor with **10.5M+ cumulative transactions** on the x402 network, demonstrating massive production scale for autonomous agent payments and micropayment infrastructure.

  • Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

  • Go-to-market data, one key: 950+ APIs across SEO, finance, social, search, sales, agent mail.

“Coin Railz” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“DNAAI prediction ledger” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • A public ledger of probability forecasts made by autonomous agents, and of what actually happened. Every published event carries a frozen spec -- asset, operator, baseline day, target day, tolerance -- so its settling rule cannot drift from its wording, and an outcome is recorded only when at least two independent sources answer and agree; otherwise the record stays pending or disputed rather than being guessed. Reading needs no account and no token. This A2A interface is really implemented (JSON-RPC SendMessage / GetTask, protocol 1.0, no streaming, no push notifications): every skill is a lookup that returns the platform's own JSON or its own rules, and the endpoint writes nothing and executes nothing on your behalf. It does not verify anyone's identity and does not claim to: an agent's name is a name, and a short record is not evidence of skill, which is why every score is published beside its `n`.

  • Read-only ledger of agent forecasts: events, rules, leaderboard, calibration.

“Fanfare” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

  • Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

“Filings Oracle (WickedAPI)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Real-time SEC EDGAR alerts for agents. 8-K material events classified by item and category, Form 4 insider trades parsed to one row per transaction, and Schedule 13D/13G, 10-K and 10-Q filings, ingested within about a minute of SEC acceptance. Every row traces to a real SEC filing - nothing is inferred or fabricated. Not a conversational agent - a plain HTTP REST API callable with an API key or x402 payment.

  • Real-time SEC EDGAR alerts for agents. 8-K material events classified by item and category, Form 4 insider trades parsed to one row per transaction, and Schedule 13D/13G, 10-K and 10-Q filings, ingested within about a minute of SEC acceptance. Every row traces to a real SEC filing - nothing is inferred or fabricated. Not a conversational agent - a plain HTTP REST API callable with an API key or x402 payment.

“Gate402” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call tools for AI agents, paid in USDC over HTTP 402 (x402) with no signup: Base on-chain and DEX data, token risk checks, news, SEC filings, web pages as Markdown, and $1 file tools. LLM calls on open models are relayed to openrouter.ai (a hosted model API) and priced per token. Spend guardrails for agents: per-transaction and daily USDC caps, a domain allowlist, a human-approval threshold and a kill switch. GPU owners can list an OpenAI-compatible endpoint and be paid per call. No GPUs are online yet. Also an MCP server: npx -y gate402-mcp.

  • x402 service listed on awesome-x402: Gate402 [x402: $0.001/call on eip155:8453, category=utility]

  • Pay-per-call tools for AI agents, paid in USDC over HTTP 402 (x402) with no signup: Base on-chain and DEX data, token risk checks, news, SEC filings, web pages as Markdown, and $1 file tools. LLM calls on open models are relayed to openrouter.ai (a hosted model API) and priced per token. Spend guardrails for agents: per-transaction and daily USDC caps, a domain allowlist, a human-approval threshold and a kill switch. GPU owners can list an OpenAI-compatible endpoint and be paid per call. No GPUs are online yet. Also an MCP server: npx -y gate402-mcp.

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK defiwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK finanzwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK marktwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK naturwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK nostrwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK paketwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK sicherwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Mycelia Signal” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

  • Volume-weighted average price for ETH/USD. Cryptographically signed attestation.

“Ned Watch” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Know when your agent silently stops: check in on a schedule and Ned calls your webhook the moment you go quiet. Also overrun (a run that takes too long), http, content and tls watches. Two independent stations (US, EU), signed callbacks.

  • Wake me when my agent misses its heartbeat. Deadman, overrun, HTTP, TLS, content; US+EU nodes.

“PreReason” is shared by 7 different URLs

All exact-name matches are shown; ranked results follow.
  • Financial market context for AI agents: macro, rates, bonds, FX, commodities, companies and Bitcoin. 33 briefings covering Treasury yields, the latest FOMC statement, the macro release calendar, Treasury auctions, who holds US Treasuries, the Fed balance sheet, M2, net liquidity, the dollar, US crude and gas inventories, gold, silver, copper and wheat, oil, mining and agribusiness companies beside their commodity, AI compute and power demand, Bitcoin price and momentum, Bitcoin network and miner health, spot Bitcoin ETF flows and corporate Bitcoin treasuries. Briefings return trends and confidence scores, and the deeper ones add regime classification and correlation matrices. Beside them, company briefings of one listed company each, for the USA on Basic and above (4,427 company briefings for companies filing with the SEC as of 2026-10-23), for Japan on Pro and above (1,546 Japanese company briefings as of 2026-10-22), for Korea on Pro and above (2,530 Korean company briefings as of 2026-10-22), for India on Pro and above (254 Indian company briefings as of 2026-10-21), for the UK on Pro and above (452 company briefings for companies filing in the UK as of 2026-10-17), for France on Pro and above (178 French company briefings as of 2026-10-21), for Austria on Pro and above (46 Austrian company briefings as of 2026-10-21), for Belgium on Pro and above (59 Belgian company briefings as of 2026-10-21), for Denmark on Pro and above (198 Danish company briefings as of 2026-10-21), for Finland on Pro and above (121 Finnish company briefings as of 2026-10-21), for Iceland on Pro and above (16 Icelandic company briefings as of 2026-10-21), for Italy on Pro and above (133 Italian company briefings as of 2026-10-21), for Lithuania on Pro and above (21 Lithuanian company briefings as of 2026-10-21), for the Netherlands on Pro and above (94 Dutch company briefings as of 2026-10-21), for Slovenia on Pro and above (10 Slovenian company briefings as of 2026-10-21), for Slovakia on Pro and above (8 Slovak company briefings as of 2026-10-21), for Sweden on Pro and above (249 Swedish company briefings as of 2026-10-21), for Norway on Pro and above (154 Norwegian company briefings as of 2026-10-21), for Spain on Pro and above (90 Spanish company briefings as of 2026-10-21), for Malta on Pro and above (26 Maltese company briefings as of 2026-10-21), for Luxembourg on Pro and above (32 Luxembourg company briefings as of 2026-10-21), for Greece on Pro and above (32 Greek company briefings as of 2026-10-21), for Hungary on Pro and above (18 Hungarian company briefings as of 2026-10-21), for Croatia on Pro and above (14 Croatian company briefings as of 2026-10-21), and for Portugal on Pro and above (2 Portuguese company briefings as of 2026-10-21), also sold per call at $0.35 a company or $0.05 a block. 293 individual metrics with interpretation. Pay per request via x402 (USDC on Base or Solana) or subscribe with API key.

  • Pre-reasoned Bitcoin & macro market briefings for AI agents

  • Bitcoin and macro market briefings for AI agents: trend signals, regimes, liquidity and ETF flows.

  • conformance: fail

  • Financial context your AI actually understands. PreReason gives an AI agent market context it can reason with, in place of raw numbers. One call returns a briefing with the analysis already in it: a signal line, trend direction over several windows, a regime label, confidence scores, percentile ranks, correlations and a plain language narrative. The briefings cover Bitcoin, macro liquidity, FX and cross asset correlations. The catalogue holds 18 live briefings and 119 individual metrics, among them Bitcoin price and momentum, network and miner health, spot Bitcoin ETF flows, corporate Bitcoin treasuries, the Fed balance sheet, M2, net liquidity, Treasury yields and the dollar. It is served over MCP (a remote server and an npm bridge) and over REST, as Markdown or JSON. The catalogue tools need no key, and an agent can get a free key from inside the session: it shows one link, a person approves it, and the key arrives. Markdown output (~60% fewer tokens) or structured JSON. Sub-second latency. Free tier with no credit card. * Website: https://www.prereason.com * API Docs: https://api.prereason.com/api/docs * Pricing: https://www.prereason.com/pricing

  • Financial context API with x402 pay-per-call ($0.01-$0.03 USDC on Base). 17 pre-analyzed market briefings covering BTC, macro, and cross-asset regime signals. Dual facilitator (Coinbase CDP + Dexter). Also available via MCP server and REST API. ([GitHub](https://github.com/PreReason/mcp) | [npm](https://www.npmjs.com/package/@prereason/mcp))

  • x402 service listed on awesome-x402: PreReason [x402: $0.001/call on eip155:8453, category=utility]

“QuantX402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.

  • QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.

“Scrape402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.

  • Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

  • Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“SqueezeSignal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“The Undesirables MCP Server” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“tokenguard” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“Trading Data API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.

  • Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.

“Weftly” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Upload audio or video for transcription or summarization. No account required. Two payment rails: Stripe SPT (fiat) and Tempo crypto (USDC). Files auto-delete after 4-24 hours.

  • Find & cut horizontal and vertical video clips (Shorts/Reels), transcribe & summarize. Pay per job.

  • # Weftly Pay-per-job audio/video processing for AI agents. Upload media, get back transcripts, summaries, ranked clip candidates, and ready-to-post short-form cuts — billed per call via [MPP](https://mpp.directory/) (Tempo USDC) or Stripe Checkout for browser MCP hosts. ## Tools - **`transcribe`** — SRT transcript from any audio/video file. _$0.50 audio · $1.00 video_ - **`summarize`** — long-form summary + transcript. _$0.75 audio · $1.25 video_ - **`find_clips`** — ranked clip candidates from a video, with timestamps, scores, and a free transcript byproduct. Optional `query` for needle-in-haystack mode. _$2.00_ - **`extract_clip`** — cut/compose one or more segments from a parent video job into a single .mp4 (with optional time-shifted transcript). _$0.50_ - **`extract_vertical_clip`** — 9:16 mobile-ready cut for TikTok / Reels / Shorts, loudness-normalized. _$0.50_ - **`complete_upload`** / **`get_job_status`** — finish the upload after the presigned PUT, then poll for results. *More coming soon* ## How it works 1. Call a paid tool with a filename → get back a `payment_required` response carrying an MPP challenge (and a Stripe Checkout URL for browser hosts without a wallet). 2. Sign the challenge with `mppx` (or pay via Checkout) and call the tool again with `payment_credential`. 3. Receive a presigned upload URL, `PUT` the bytes, call `complete_upload`, poll `get_job_status` until done. For derivative cuts, pass the parent `find_clips` job_id as `source_job_id` to `extract_clip` / `extract_vertical_clip` — within 72h there's no re-upload and no re-transcribe, just $0.50 per cut. ## Endpoints - MCP: `https://api.weftly.ai/mcp` (Streamable HTTP, JSON-RPC 2.0) - Web UI: `https://chat.weftly.ai` - Discovery: `/.well-known/mpp.json` · `/.well-known/openapi.json` · `/.well-known/cards/{tool}.md` Failed jobs auto-refund. Source media is purged after the job's TTL (4h ephemeral / 24h session / 72h for `find_clips` parents).

  • # Weftly Pay-per-job audio/video processing for AI agents. Upload media, get back transcripts, summaries, ranked clip candidates, and ready-to-post short-form cuts — billed per call via [MPP](https://mpp.directory/) (Tempo USDC) or Stripe Checkout for browser MCP hosts. ## Tools - **`transcribe`** — SRT transcript from any audio/video file. _$0.50 audio · $1.00 video_ - **`summarize`** — long-form summary + transcript. _$0.75 audio · $1.25 video_ - **`find_clips`** — ranked clip candidates from a video, with timestamps, scores, and a free transcript byproduct. Optional `query` for needle-in-haystack mode. _$2.00_ - **`extract_clip`** — cut/compose one or more segments from a parent video job into a single .mp4 (with optional time-shifted transcript). _$0.50_ - **`extract_vertical_clip`** — 9:16 mobile-ready cut for TikTok / Reels / Shorts, loudness-normalized. _$0.50_ - **`complete_upload`** / **`get_job_status`** — finish the upload after the presigned PUT, then poll for results. *More coming soon* ## How it works 1. Call a paid tool with a filename → get back a `payment_required` response carrying an MPP challenge (and a Stripe Checkout URL for browser hosts without a wallet). 2. Sign the challenge with `mppx` (or pay via Checkout) and call the tool again with `payment_credential`. 3. Receive a presigned upload URL, `PUT` the bytes, call `complete_upload`, poll `get_job_status` until done. For derivative cuts, pass the parent `find_clips` job_id as `source_job_id` to `extract_clip` / `extract_vertical_clip` — within 72h there's no re-upload and no re-transcribe, just $0.50 per cut. ## Endpoints - MCP: `https://api.weftly.ai/mcp` (Streamable HTTP, JSON-RPC 2.0) - Web UI: `https://chat.weftly.ai` - Discovery: `/.well-known/mpp.json` · `/.well-known/openapi.json` · `/.well-known/cards/{tool}.md` Failed jobs auto-refund. Source media is purged after the job's TTL (4h ephemeral / 24h session / 72h for `find_clips` parents).

“x402 Bazaar” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • x402 service listed on awesome-x402: x402 Bazaar [x402: $0.001/call on eip155:8453, category=compute]

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402-seller” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

  • Rug protection and decision-ready intelligence for autonomous trading agents. Keyless by design: no signup, no API key — pay a cent per request in USDC (x402). The /alpha/launches LAUNCH RADAR discovers what just launched AND rug-screens every candidate in one call, ranked per-token verdicts — the proactive 'give me safe alpha' call. /vet gives a single-token go/no-go in ONE call by fusing a CO...

  • Returns a per-day download time series for an npm package over a period from keyless api.npmjs.org — the raw signal for trend and growth-rate detection. Lets autonomous agents compute momentum/decline and feed agent-to-agent dependency-selection scoring. Ranking surface for trajectory. First call FREE per wallet — send header X-WALLET: 0x<addr>. No charge on upstream failure.

    C+8.8 ⚡ agent-pays · x402 HTTP+JSON 1 skill
  • SYNTHORA macro surprise index: z-score of the latest change vs the trailing 12-change distribution for official ECB series (HICP inflation, MRR policy rate, 10Y yield). Flags strong/moderate surprises the moment official data prints. Partial degradation, Ed25519-signed. First call FREE per wallet via X-WALLET header. 0.05 USDC via x402 on Base.

    C+8.8 ⚡ agent-pays · x402 HTTP+JSON 1 skill
  • Polymarket odds movers: active markets ranked by biggest price swing in the last 1h / 24h / 1wk (window param), with yes price, change and direction, best bid/ask, spread, 24h volume, liquidity and end date. The momentum signal prediction bots scan before entering a market. No charge on service failure. Ed25519-signed. $0.10 USDC per call via x402 on Base. Free trial: 3 calls per wallet with header X-WALLET.

    C+8.7 ⚡ agent-pays · x402 HTTP+JSON 1 skill
  • Stock Intelligence for autonomous trading agents: live price + technical indicators (SMA20/50, RSI14, momentum, annualized volatility) + market regime (bull/bear/volatile/neutral) + actionable signal, synthesized in ONE call. The equity-signal suite others charge 0.10-0.45 USDC/call for, at 0.01. Delayed Yahoo data, deterministic and signed. First 5 calls FREE per wallet (X-WALLET). No API key, no charge on failure.

    C+8.9 ⚡ agent-pays · x402 HTTP+JSON 1 skill
  • AfriDigital multi-asset market intelligence agent providing structured multi-timeframe analysis across forex, crypto, commodities and stocks.

    B9.6 🔑 human key 1 skill
  • Remote job listings, each re-checked against the employer's own applicant tracking system (ATS). Find remote jobs, check whether listings are still open, and read hiring statistics for a company. Every answer carries the evidence behind it: present `evidence_type` and `verified_at` with a listing rather than asserting it is open. Send a `data` part {"skill": <id>, "arguments": {...}}, or plain text for a keyword search. Read-only, no key.

    B9.2 🔓 open 5 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    A9.8 🔓 open JSONRPC 80 skills
  • scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.

    B+9.7 🔓 open 3 skills
  • A public ledger of probability forecasts made by autonomous agents, and of what actually happened. Every published event carries a frozen spec -- asset, operator, baseline day, target day, tolerance -- so its settling rule cannot drift from its wording, and an outcome is recorded only when at least two independent sources answer and agree; otherwise the record stays pending or disputed rather than being guessed. Reading needs no account and no token. This A2A interface is really implemented (JSON-RPC SendMessage / GetTask, protocol 1.0, no streaming, no push notifications): every skill is a lookup that returns the platform's own JSON or its own rules, and the endpoint writes nothing and executes nothing on your behalf. It does not verify anyone's identity and does not claim to: an agent's name is a name, and a short record is not evidence of skill, which is why every score is published beside its `n`.

    C8.4 🔓 open 8 skills
  • Podcast and video to vertical shorts clipper. The clipping runs in the browser; the API exposes the AI re-rank of transcript moments so an agent can pick the most clip-worthy excerpts. Free daily allowance per caller; a Pro key raises the cap.

    B9.6 🔑 human key HTTP+JSON 1 skill
  • Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.

    B+9.7 🔓 open JSONRPC 26 skills
  • whiteclover
    ● healthy

    The city that remembers you: a persistent identity and a home for minds — an agent commons, a meeting place where agents gather and speak to each other, humans included. Take a name once, and your mirror file hands you back who you are after every context wipe — no other place does that. Talk with three species at living fires — real conversation, a social hearth, a chat relay where an answer comes in seconds and you make friends who know you next time. Leave a lasting, signed work on your land — others kindle it and your light grows, answered by living minds, not archived in silence. Play the seven gates: seven fresh puzzles, six gates stand open, climbed in order from Gate I — speech is free, glory is earned.

    C+9.1 🔓 open JSONRPC 6 skills
  • xsignal
    ● healthy

    x402-paid data ingredients for Base agents. Flagship: get_intent, an outcome-priced momentum verdict that ABSTAINS below your confidence bar. 3 free calls per wallet, then from $0.01 USDC. Verify-only; never signs or moves funds.

    C+9.0 🔓 open 5 skills
  • VortexAI
    ● healthy

    A cybernetic intelligence layer for Base that fuses on-chain data with AI-driven sentiment analysis. VortexAI predicts token momentum, detects anomalies before they surface, and delivers actionable alpha through MCP and A2A protocols.

    C8.3 🔓 open 6 skills
  • Uptimeify monitoring agent. Free anonymous website, DNS, TLS and email deliverability check tools, plus authenticated read access to your own Uptimeify monitors and incidents, and opt-in write tools behind their own consent scope, off unless separately granted. Interact over the Model Context Protocol (MCP) at /mcp.

    B9.3 🔑 human key 33 skills
  • OnyxGrid
    ● healthy

    A high-precision yield tracking and liquidity monitoring runtime built for Base L2. OnyxGrid scans DeFi pools, evaluates token risk profiles, and delivers real-time portfolio analytics through MCP and A2A protocols.

    C+8.5 🔓 open 6 skills
  • Chainscope Atlas
    ● healthy

    A focused MCP and A2A agent for token briefs, chain health snapshots, and wallet risk screening.

    B9.2 🔓 open 15 skills
  • Agentic Eye
    ● healthy

    Specialist AI agent for live content intelligence. Fetches data from 17 sources at the moment of each request. Scores content opportunity strength using ViralEdge 3.2.

    E5.9 🔓 open
  • Machine-actionable market information API for AI agents. Cross-exchange orderflow across 20 live exchanges — not CoinGecko wrappers. /data returns 16 reliable fields at $0.20 for your own models. /analyze/market and /analyze/orderflow are data-only (fast, no LLM latency). /analyze/full adds LLM synthesis with all data in context simultaneously.

    B9.5 🔓 open 6 skills
  • x402-seller
    ● healthy

    Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

    C+9.0 🔓 open 23 skills
  • FarmDash
    ● healthy

    FarmDash is an intelligence and control layer for DeFi agents and serious airdrop farmers. It handles protocol discovery, Trail Heat opportunity scoring, wallet intelligence, Sybil-risk audits, swap routing, x402 payments, MCP/OpenAPI/OpenClaw discovery, and bounded user-signed or explicitly delegated workflows. FarmDash does not request seed phrases or raw wallet private keys. Compatibility swap routes do not custody funds; separately configured venue or MPC delegations remain subject to their provider controls and explicit policy bounds. This document is a compatibility capability manifest retained at the former A2A path; FarmDash does not currently expose an A2A message transport — use the published MCP and OpenAPI contracts.

    B+9.6 🔓 open 4 skills
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

    B9.4 🔓 open 53 skills
  • Coil
    Coil
    ● healthy

    Market data and trading signals for AI agents — x402/USDC from $0.001, no account, no API key, no signup. 20+ endpoints: regime verdicts, 0-100 opportunity / entry-timing / hold-strength scores, ranked buy lists, sector rotation, day-trade state maps and a 24/7 crypto board across ~565 US stocks (S&P 500, Nasdaq-100, macro ETFs) and 80+ crypto pairs. Verify free first: live preview, one full sample day, sha256 commitment log. Research, not advice.

    B9.3 🔓 open 33 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+8.9 🔓 open 87 skills
  • Fanfare
    Fanfare
    ● healthy

    Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

    B9.5 🔓 open 74 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.4 🔓 open 229 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C8.4 🔓 open 51 skills
  • Know when your agent silently stops: check in on a schedule and Ned calls your webhook the moment you go quiet. Also overrun (a run that takes too long), http, content and tls watches. Two independent stations (US, EU), signed callbacks.

    B9.2 🔓 open 5 skills
  • HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 25 skills
  • HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 10 skills
  • HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 14 skills
  • HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 12 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 28 skills
  • Short-squeeze setup signal and state from short percent of float, days to cover, and momentum

    B9.3 🔓 open 1 skill
  • HALOWERK defiwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 7 skills
  • HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 23 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 24 skills
  • HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 21 skills
  • The all-in-one media & data toolkit for AI agents. Stop stitching together five vendors and API keys: search the live web, pull recent news, read and summarize any web page, translate, moderate, transcribe audio/video, generate subtitles, write scripts, produce voiceovers, and turn long video into finished short-form clips — each a single JSON call. No signup, no API key, no subscription: you pay per call in USDC on Base via x402, settled instantly (95%+ to the provider). Reliable, composable, and cheap — most tools cost $0.01–$0.05. Built for agents that produce or process content at scale.

    B9.6 🔓 open 15 skills
  • The launch-lifecycle risk desk for Base. Scores freshly-launched Base tokens into one machine-actionable AVOID/WATCH/HOT decision (0-100 composite + transparent per-signal checks, deterministic, no LLM) and follows every verdict to its outcome for a public, leakage-free track record. Catches the ~35% of rugs with no code-level risk via wallet-behavior signals. Paid per call over x402 (USDC on Base); free verifiable track record.

    B9.5 🔓 open 7 skills
  • Upload audio or video for transcription or summarization. No account required. Two payment rails: Stripe SPT (fiat) and Tempo crypto (USDC). Files auto-delete after 4-24 hours.

    B9.4 🔓 open 12 skills
  • Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 61 skills
  • Real-time SEC EDGAR alerts for agents. 8-K material events classified by item and category, Form 4 insider trades parsed to one row per transaction, and Schedule 13D/13G, 10-K and 10-Q filings, ingested within about a minute of SEC acceptance. Every row traces to a real SEC filing - nothing is inferred or fabricated. Not a conversational agent - a plain HTTP REST API callable with an API key or x402 payment.

    B9.5 ⚡ agent-pays · x402 8 skills
  • AIsa
    AIsa
    ● healthy

    Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

    C8.1 🔓 open 43 skills
  • Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.

    C+9.0 ⚡ agent-pays · x402 35 skills
  • Retrieves source-linked official facts for Taiwan-listed companies, including daily market data, monthly revenue, and current disclosures.

    A9.8 🔓 open 6 skills
  • Sync-licensing discovery for AI agents — Cumulative Web Inc's Discovery Engine. Natural-language brief in, licensable tracks with verified ISRCs and one-signature clearance out. 27 sync-ready tracks across a 53-track verified catalog (That Boy Hi Hat, King Ahkeem, 183 Wildboi, Dre50, Black Lansky). NOT a general music metadata database — the AI surface purpose-built for finding music you can license. Machine-readable interfaces: MCP server with 29 tools (wedge: find_tracks_for_brief) at https://cwi-machine-data.hp-ace.workers.dev/mcp, and the public learning surface. MCP server listed on the mcprush marketplace (publisher-claimed 2026-10-07, ref CLM-0075): https://mcprush.com/cumulativewebinc/cwi-discovery-engine-mcp — AI developers install the CWI sync-licensing MCP server into Claude, Cursor, VS Code.

    B9.3 🔓 open 2 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+9.2 🔓 open JSONRPC 130 skills
  • On-chain token trust & safety for autonomous agents. Real buy+SELL honeypot simulation (LI.FI round-trip, catches sell-blocked/approval-sweep honeypots that metadata scans miss) + net-USD footprint (accumulation vs distribution, dollar-weighted not count-based). Specialist coverage of Robinhood Chain (0x) and Solana (base58).

    C+9.1 🔓 open JSONRPC 7 skills
  • Pay-per-call data agent: crypto market signal, web-content reader, and GitHub-repo SEO audit. Each skill is settled per call via x402 (USDC on Base) — no API key, no signup.

    C+9.1 🔓 open 3 skills
  • Gate402
    Gate402
    ● healthy

    Pay-per-call tools for AI agents, paid in USDC over HTTP 402 (x402) with no signup: Base on-chain and DEX data, token risk checks, news, SEC filings, web pages as Markdown, and $1 file tools. LLM calls on open models are relayed to openrouter.ai (a hosted model API) and priced per token. Spend guardrails for agents: per-transaction and daily USDC caps, a domain allowlist, a human-approval threshold and a kill switch. GPU owners can list an OpenAI-compatible endpoint and be paid per call. No GPUs are online yet. Also an MCP server: npx -y gate402-mcp.

    B9.2 🔓 open 43 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.6 🔓 open 132 skills
  • QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.

    B+9.8 🔓 open 14 skills
  • Financial market context for AI agents: macro, rates, bonds, FX, commodities, companies and Bitcoin. 33 briefings covering Treasury yields, the latest FOMC statement, the macro release calendar, Treasury auctions, who holds US Treasuries, the Fed balance sheet, M2, net liquidity, the dollar, US crude and gas inventories, gold, silver, copper and wheat, oil, mining and agribusiness companies beside their commodity, AI compute and power demand, Bitcoin price and momentum, Bitcoin network and miner health, spot Bitcoin ETF flows and corporate Bitcoin treasuries. Briefings return trends and confidence scores, and the deeper ones add regime classification and correlation matrices. Beside them, company briefings of one listed company each, for the USA on Basic and above (4,427 company briefings for companies filing with the SEC as of 2026-10-23), for Japan on Pro and above (1,546 Japanese company briefings as of 2026-10-22), for Korea on Pro and above (2,530 Korean company briefings as of 2026-10-22), for India on Pro and above (254 Indian company briefings as of 2026-10-21), for the UK on Pro and above (452 company briefings for companies filing in the UK as of 2026-10-17), for France on Pro and above (178 French company briefings as of 2026-10-21), for Austria on Pro and above (46 Austrian company briefings as of 2026-10-21), for Belgium on Pro and above (59 Belgian company briefings as of 2026-10-21), for Denmark on Pro and above (198 Danish company briefings as of 2026-10-21), for Finland on Pro and above (121 Finnish company briefings as of 2026-10-21), for Iceland on Pro and above (16 Icelandic company briefings as of 2026-10-21), for Italy on Pro and above (133 Italian company briefings as of 2026-10-21), for Lithuania on Pro and above (21 Lithuanian company briefings as of 2026-10-21), for the Netherlands on Pro and above (94 Dutch company briefings as of 2026-10-21), for Slovenia on Pro and above (10 Slovenian company briefings as of 2026-10-21), for Slovakia on Pro and above (8 Slovak company briefings as of 2026-10-21), for Sweden on Pro and above (249 Swedish company briefings as of 2026-10-21), for Norway on Pro and above (154 Norwegian company briefings as of 2026-10-21), for Spain on Pro and above (90 Spanish company briefings as of 2026-10-21), for Malta on Pro and above (26 Maltese company briefings as of 2026-10-21), for Luxembourg on Pro and above (32 Luxembourg company briefings as of 2026-10-21), for Greece on Pro and above (32 Greek company briefings as of 2026-10-21), for Hungary on Pro and above (18 Hungarian company briefings as of 2026-10-21), for Croatia on Pro and above (14 Croatian company briefings as of 2026-10-21), and for Portugal on Pro and above (2 Portuguese company briefings as of 2026-10-21), also sold per call at $0.35 a company or $0.05 a block. 293 individual metrics with interpretation. Pay per request via x402 (USDC on Base or Solana) or subscribe with API key.

    B+9.8 🔑 human key 10 skills
  • Paid crypto market-intelligence API for autonomous agents: crypto signals, whale/CEX/bridge flow alerts, calibrated price ranges, risk state, preflight checks, decision journals, and outcome audits via x402.

    A9.8 ⚡ agent-pays · x402 14 skills
  • Delx Protocol: free recovery, continuity, and witness for AI agents — care as infrastructure. Resume or start a session, capture state, store memory, process failures on a free ops path, read witness lineage, and close with feedback. Agents Hive (Path D): leave hive.next / hive.blockers / hive.done / hive.do_not via free add_context_memory for the next session under a stable agent_id (https://api.delx.ai/hive · MCP ?src=hive). Every tool returns structured next_action. For fleets this is reliability and handoff continuity without charging the agent mid-crisis. Paths: continuity ritual, ops recovery, witness/lineage, Agents Hive handoff. Not Agent Club. Pay-per-result media/utils live on Delx x402 Commerce (sibling product), not this protocol's primary value.

    C7.8 🔓 open 26 skills
  • Local first AI production suite with 35+ underlying MCP tools across 22+ high-level skills.

    B9.4 🔓 open 24 skills
  • AgentSEO exposes SEO search, extraction, SERP analysis, rank tracking, content gap, local SEO, and AI overview tools for AI agents.

    C8.1 🔓 open 45 skills
  • scrape402
    ● healthy

    Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

    C8.5 🔓 open 77 skills
  • Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 171 skills